# AdGroups Object

> Source: https://truto.one/docs/api-reference/unified-ads-management-api/adgroups/

Schema for the `AdGroups` resource in **Unified Ads Management API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the ad_group.
- **`name`** _(string)_
  The name of the ad_group.
- **`status`** _(string)_
  The status of the campaign.
  Allowed: `active`, `inactive`, `draft`, `paused`, `deleted`, `archived`, `in_process`, `with_issues`, `completed`, `canceled`, `pending_deletion`
- **`account_id`** _(string)_
  The unique identifier for the account.
- **`campaign_id`** _(string)_
  The unique identifier for the campaign.
- **`labels`** _(array<object>)_
  The labels for the ad_group.
  - **`id`** _(string)_
    The unique identifier for the label.
  - **`name`** _(string)_
    The name of the label.
- **`attribution_spec`** _(string)_
  The attribution spec for the ad_group.
- **`bid`** _(object)_
  The bid for the ad_group.
  - **`adjustments`** _(object)_
    The bid adjustments for the ad_group.
  - **`amount`** _(string)_
    The bid amount for the ad_group.
  - **`constraints`** _(object)_
    The bid constraints for the ad_group.
  - **`objective_values`** _(object)_
    The bid values for different objectives of the ad_group.
  - **`strategy`** _(object)_
    The bid strategy for the ad_group.
    - **`id`** _(string)_
      The unique identifier for the bid strategy.
    - **`name`** _(string)_
      The name of the bid strategy.
- **`billing_event`** _(string)_
  The billing event for the ad_group.
  Allowed: `app_installs`, `clicks`, `impressions`, `link_clicks`, `none`, `offer_claims`, `page_likes`, `post_engagement`, `video_views`
- **`budget`** _(object)_
  The budget for the ad_group.
  - **`lifetime_max`** _(string)_
    The max budget for the ad_group.
  - **`daily_max`** _(string)_
    The daily max budget for the ad_group.
  - **`daily_min`** _(string)_
    The daily min budget for the ad_group.
- **`spend`** _(object)_
  The spend for the ad_group.
  - **`lifetime_max`** _(string)_
    The max spend for the ad_group.
  - **`daily_min_cap`** _(string)_
    The min cap spend for the ad_group.
  - **`daily_max_cap`** _(string)_
    The max cap spend for the ad_group.
  - **`cap_enabled`** _(boolean)_
    Whether the cap is enabled for the ad_group.
- **`impressions`** _(object)_
  The impressions for the ad_group.
  - **`daily_min`** _(string)_
    The daily min impressions for the ad_group.
  - **`lifetime_max`** _(string)_
    The max impressions for the ad_group.
- **`destination`** _(object)_
  The destination type for the ad_group.
  - **`id`** _(string)_
    The unique identifier for the destination type.
  - **`name`** _(string)_
    The name of the destination type.
    Allowed: `undefined`, `app`, `messenger`, `website`, `instagram_direct`, `on_ad`, `on_post`, `on_video`, `on_page`, `on_event`
- **`start_time`** _(string)_
  The start time for the ad_group.
- **`stop_time`** _(string)_
  The stop time for the ad_group.
- **`issues`** _(array<object>)_
  The issues for the ad_group that prevented ads from being delivered.
  - **`code`** _(string)_
    The code for the issue.
  - **`message`** _(string)_
    The error message for the issue.
  - **`description`** _(string)_
    The error summary for the issue.
  - **`level`** _(string)_
    The level for the issue.
  - **`type`** _(string)_
    The type for the issue.
- **`optimization_goal`** _(string)_
  The optimization goal for the ad_group.
  Allowed: `none`, `app_installs`, `ad_recall_lift`, `clicks`, `engaged_users`, `event_responses`, `impressions`, `lead_generation`, `quality_lead`, `link_clicks`, `offsite_conversions`, `page_likes` (+10 more)
- **`promoted_object`** _(object)_
  The promoted object for the ad_group.
- **`targeting`** _(object)_
  The targeting for the ad_group.
- **`targeting_optimization_types`** _(array<object>)_
  - **`key`** _(string)_
    The key for the targeting optimization type.
  - **`value`** _(string)_
    The value for the targeting optimization type.
- **`schedule`** _(object)_
  The schedule for the ad_group.
  - **`start_time`** _(string)_
    The start time for the ad_group.
  - **`end_time`** _(string)_
    The end time for the ad_group.
  - **`days`** _(array<string>)_
    The days for the ad_group.
- **`created_at`** _(string)_
  The date and time the ad_group was created.
- **`updated_at`** _(string)_
  The date and time the ad_group was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ads/ad_groups](/docs/api-reference/unified-ads-management-api/adgroups/list) — List Ad groups
- [POST /unified/ads/ad_groups](/docs/api-reference/unified-ads-management-api/adgroups/create) — Create Ad groups
- [GET /unified/ads/ad_groups/{id}](/docs/api-reference/unified-ads-management-api/adgroups/get) — Get Ad groups
- [PATCH /unified/ads/ad_groups/{id}](/docs/api-reference/unified-ads-management-api/adgroups/update) — Update Ad groups
- [DELETE /unified/ads/ad_groups/{id}](/docs/api-reference/unified-ads-management-api/adgroups/delete) — Delete Ad groups
